Bug 1128094 - "gems should require rubygems package" is no longer true.
Summary: "gems should require rubygems package" is no longer true.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 09:49 UTC by Steve Traylen
Modified: 2018-03-01 12:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-25 14:25:58 UTC


Attachments (Terms of Use)

Description Steve Traylen 2014-08-08 09:49:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
fedora-review-0.5.1-2.fc20

Steps to Reproduce:
1. .spec file without Requires: rubygems


Actual results:

- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-colorize-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems



Expected results:

Requires: rubygems being missing is quite correct 



Additional info:

From fedora core 21 

* There should not be any rubygem Requires nor Provides listed, since those are autogenerated.
* There should not be Requires: ruby(release), unless you want to explicitly specify Ruby version compatibility. Automatically generated dependency on RubyGems (Requires: ruby(rubygems)) is enough.

Comment 1 Alec Leamas 2014-10-14 12:34:21 UTC
The new test would actually be the reverse, emitting a warning if the explicit deps are there although they shouldn't.

What I don't understand if how to handle still long-to-eol f20. The same way?

Comment 2 Jaroslav Reznik 2015-03-03 16:11:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Alec Leamas 2015-04-15 14:29:20 UTC
Steve: this is a simple fix if it's the same situation f20-f21-f22. But is it? Otherwise, could you outline the conditions?

Comment 4 Josef Stribny 2015-05-06 12:25:11 UTC
> this is a simple fix if it's the same situation f20-f21-f22. But is it? 

f21 and higher. f20 still needs explicit requires.

Comment 5 Alec Leamas 2015-05-21 10:28:31 UTC
I have pushed two feature branches ruby21 (for f21) and ruby22 (f22). At a glance, this solves this problem. 

In this branch, the ruby plugin is also a separate package, although still within the same srpm. A small step.

I need help from ruby-knowledged people to review and test this branch (anyone, they are identical from s ruby perspective).

Comment 6 Josef Stribny 2015-05-25 06:30:38 UTC
I can confirm that the branches fixes this issue.


Note You need to log in before you can comment on or make changes to this bug.